List webhooks

GET
https://reloop.sh/api/webhook/v1/

Query Parameters

pagestringnumberdefault: 1
  • Minimum value: 1
limitstringnumberdefault: 10
  • Minimum value: 1
  • Maximum value: 100
status"active""paused""disabled""failed"

Possible values: active | paused | disabled | failed

organizationIdstring
userIdstring
const response = await fetch("https://reloop.sh/webhook/v1/?page=1&limit=10", {
  headers: {
    "Authorization": "Bearer rl_123456789"
  }
});

const webhooks = await response.json();
{
  "webhooks": [
    {
      "id": "wh_123456789",
      "name": "Payments Webhook",
      "url": "https://example.com/webhooks/reloop",
      "secret": "***masked***",
      "status": "active",
      "customHeaders": {
        "x-source": "reloop"
      },
      "rateLimitEnabled": true,
      "maxRequestsPerMinute": 60,
      "maxRetries": 3,
      "retryBackoffMultiplier": 2,
      "filteringOptions": null,
      "lastTriggeredAt": "2026-03-29T10:00:00Z",
      "successCount": 10,
      "failureCount": 1,
      "consecutiveFailures": 0,
      "createdAt": "2026-03-29T10:00:00Z",
      "updatedAt": "2026-03-29T10:00:00Z"
    }
  ],
  "total": 1,
  "page": 0,
  "limit": 0
}

Was this page helpful?

Edit this page